"""Load a text file as a list.
Arguments:
-text file name (and directory path, if needed)
Exceptions:
-IOError if filename not found.
Returns:
-A list of all words in a text file in lower case.
Requires-import sys
"""
import sys

def load1(file):
    """Open a text file & return a list of lowercase strings."""
    try:
        with open(file) as in_file:
            #loaded_txt = in_file.read()
            loaded_txt = in_file.readlines()
            slovnik = []
            for slovo in loaded_txt:
                slovo2 = slovo.lower()  # prevest velka pismena na mala
                slovo3 = slovo2.rstrip('\n')  # odstrani znak \n na konci slov
                slovnik.append(slovo3)  # vytvori slovnik
                #loaded_txt.strip()
                #.split('\n')
                #loaded_txt = [x.lower() for x in loaded_txt]
        return slovnik
    except IOError as e:
        print("{}\nError opening {}. Terminating program.".format(e, file),
        file=sys.stderr)
        sys.exit(1)


def load2(file):  # nevyhoda, ze necha v seznamu slovo '' prazdny retezec
    """Open a text file & return a list of lowercase strings."""
    try:
        with open(file) as in_file:
            loaded_txt = in_file.read()  # nacte vse jako jeden retezec
            loaded_txtnocap = loaded_txt.lower()  # vsechna velka pismena premenime na mal
            loaded_txt2 = loaded_txtnocap.strip()  # odstrani vsechny mezery zleva i zprava            
            loaded_txt3 = loaded_txt.split('\n')  # rozdeli na pole retezcu, oddelovac znak \n
                #loaded_txt.strip()
                #.split('\n')
                #loaded_txt = [x.lower() for x in loaded_txt]
        return loaded_txt3
    except IOError as e:
        print("{}\nError opening {}. Terminating program.".format(e, file),
        file=sys.stderr)
        sys.exit(1)

def nacti_sjezdovku(soubor):
    sjezdovka = []
    with open(soubor) as in_file:

        loaded_txt = in_file.readlines()
    
        for line in loaded_txt:
            line = line.replace('\n','')
            cisla_str = line.split(' ')
            cisla = [int(cislo) for cislo in cisla_str]
            sjezdovka.append(cisla)

    return sjezdovka


def nacti_matici(soubor):
    matice = []
    with open(soubor) as in_file:

        loaded_txt = in_file.readlines()
    
        for line in loaded_txt:
            line = line.replace('\n','')
            cisla_str = line.split(',')
            cisla = [int(cislo) for cislo in cisla_str]
            matice.append(cisla)

    return matice